/*
 *  Copyright (C) 2007 Viktor Nordell <viktor.nordell@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA.
 *
 *  Author : Viktor Nordell <viktor.nordell@gmail.com>
 */
#ifndef _GUI_FX_H
#define _GUI_FX_H

#include <gtk/gtk.h>

GtkStyle* 	gui_fx_transparency_style	(GtkWidget *widget, gdouble alpha);
void		gui_fx_set_blur_mode		(GdkWindow *window);
void        gui_fx_set_alpha_mode       (GtkWidget *widget);
GtkStyle*   gui_fx_create_style         (GtkWidget *widget);
void        gui_fx_set_and_create_style (GtkWidget *widget);
#endif
